#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys
import os

EJUDGE = bool(os.environ.get("EJUDGE", "0") == "1")
# Если установить переменную VERBOSE=0, то протокол выводиться не будет
# По умолчанию считается, что VERBOSE=1
VERBOSE = bool(os.environ.get("VERBOSE", "1") != "0")
YANDEX = False

if EJUDGE:
    OK = 0
    PE = 4
    WA = 5
    CF = 6
    AC = 8
else:
    OK = 0
    WA = 1
    PE = 2
    CF = 3

LOG = ""

def quit(status, log="", score=0):
    if EJUDGE and not VERBOSE and status != PE:  # Если планируется перетестирование, то нужно скрыть протокол
        log = "Полные протоколы проверки будут доступны после окончания олимпиады"
    if not log:  # Если задано значение параметра log, то выводится это значение, иначе выводится глобальная переменная LOG
        log = LOG
    sys.stderr.write(log)
    if EJUDGE:
        if status == WA or status == OK:
            sys.stdout.write(str(score) + "\n0\n" + str(AC) + "\n")
    elif YANDEX:
        if status == WA or status == OK:
            status = OK
            sys.stdout.write(score, log, sep=" \n")
        if status == PE:
            sys.stdout.write("Ошибка формата", log, sep="\n")
    else:  # Наверное, это полигон
        message_len = len(log.encode('utf-8'))
        if status == PE and message_len >= 127:
            sys.stderr.write("\n!!! Длина сообщения об ошибке слишком большая для ejudge !!!.\n")
            sys.stderr.write("Сократите длину сообщения на " + str(message_len - 127) + " байт.\n")
        sys.stdout.write("Score: " + str(score) + "\n")
    sys.exit(status)

fin = open(sys.argv[2], "r")
ans = fin.readlines()
i = 0
while i < len(ans):
    ans[i] = ans[i].strip()
    if not ans[i]:
        ans.pop(i)
        continue
    if " " in ans[i]:
        quit(PE, "Ответ содержит пробел - в ответе должно быть 5 строк по одному числу.")
    if not ans[i].isdigit():
        quit(PE, "Строка " + str(i + 1) + " ответа содержит не-цифру.")
    ans[i] =int(ans[i])
    i += 1

if len(ans) != 5:
    quit(PE, "В ответе должно быть ровно пять чисел в отдельных строках")

ANS  = [5867, 86912, 9988887695, 999956789123456789123456789123456789, 988776655432143210321021010]

solved = 0
for i in range(len(ans)):
    if ans[i] == ANS[i]:
        solved += 1

LOG += "Даны верные ответы на " + str(solved) + " заданий из 5\n"

quit(OK if solved == 5 else WA, score=20 * solved)
